repos:
-   repo: https://github.com/pre-commit/pre-commit-hooks
    rev: v5.0.0
    hooks:
    - id: check-merge-conflict
    - id: check-xml
    - id: check-yaml
    - id: check-json
    - id: end-of-file-fixer
    - id: fix-byte-order-marker
    - id: trailing-whitespace
    - id: check-executables-have-shebangs
    - id: check-shebang-scripts-are-executable

-   repo: https://github.com/pre-commit/mirrors-clang-format
    rev: v19.1.7
    hooks:
    - id: clang-format
      types_or: [c++, c, cuda, java]

-   repo: https://github.com/cheshirekow/cmake-format-precommit
    rev: v0.6.13
    hooks:
    - id: cmake-format

-   repo: https://github.com/google/yapf
    rev: v0.43.0
    hooks:
    - id: yapf
      additional_dependencies: [toml]
      require_serial: true

-   repo: https://github.com/executablebooks/mdformat
    rev: 0.7.22
    hooks:
    - id: mdformat
      args: [--wrap=120]
      additional_dependencies:
      - mdformat-myst
      - mdformat-tables
